Users
List User Contexts
List user contexts
get
/v1/user/{userId}/context/list
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
userIdstring* Required
The ID of the user
cursorstring
The cursor to use for pagination
orderstring
The order of the paginated items
takeinteger
The number of items to retrieve
blueprintIdstring
botIdstring
datasetIdstring
skillsetIdstring
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.user.context.list(
userId)
{"items":[{"name":"string","description":"string","meta":"object","id":"string","createdAt":"number","updatedAt":"number","blueprintId":"string","botId":"string","datasetId":"string","skillsetId":"string","contactId":"string","payload":"object"}],"cursor":"string"}The list of contexts was retrieved successfully